const express = require("express");
const router = express.Router();
const {
  CreateTweets,
  GetTweets,
} = require("../controllers/twitter.controller.js");
const { authenticate } = require("../middleware/login.middleware.js");

// POST to generate 5 tweets
router.post("/tweets/:botuuid", authenticate, CreateTweets);

// GET to retrieve tweets for a botuuid
router.get("/tweets/:botuuid", authenticate, GetTweets);

module.exports = router;
